import React from "react";
import { ComponentStory } from "@storybook/react";
import { NerdIcon } from "./NerdIcon";

export default {
  title: "NerdIcon",
  component: NerdIcon,
  argTypes: {
    severity: {
      options: ["info", "success", "warning", "error"],
      type: "select",
    },
  },
};

export const Default: ComponentStory<typeof NerdIcon> = (args) => (
  <NerdIcon {...args} />
);

Default.args = {
  icon: "bell",
};
