/**
 * Function to that create a unique id
 *
 * @returns {string} - A unique id as string
 */
export function uid(): string {
  const head = Date.now().toString(36);
  const tail = Math.random().toString(36).slice(2);

  return `${head}${tail}`;
}

/**
 * @param value
 */
export function setAxeValue(value: string | undefined): string {
  if (!value) {
    return "-";
  }
  return value.toLowerCase().replace(/\s/g, "-");
}
